﻿nuget install
-Microsoft.EntityFrameworkCore
-Microsoft.EntityFrameworkCore.SqlServer
-Microsoft.EntityFrameworkCore.Tools
-Pomelo.EntityFrameworkCore.MySql
//CREATE API (create db(mssql)->create model dbcontext-> tạo migration-> using mysql)
step1: insert value in 'appsettings.json'
  "ConnectionString": {
   // "DpcEntryDB": "server=CPP00152231B\\SQLEXPRESS;database=DpcEntry;User ID=sa;password=Hacking@12345;"
    "DpcEntryDB": "server=localhost;port=3306;database=DpcEntry;User ID=root;password=Hacking12345;"
  },
  ----------"DefaultConnection": "Data Source=CPP00152231B\\SQLEXPRESS;Initial Catalog=ExamSample;Persist Security Info=True;User ID=sa;Password=Hacking@12345;MultipleActiveResultSets=True"
step2: Insert value in 'status.cs'->ConfigureServices
 services.AddDbContext<DpcEntryContext>(opts
                            => opts.UseSqlServer(Configuration["ConnectionString:DpcEntryDB"]));

 services.AddDbContext<DpcEntryContext>(opts
                            => opts.UseMySql(Configuration["ConnectionString:DpcEntryDB"]));

step3: create data in mssql-> diagram
step4: create datacontext from mssql
=>console
    Scaffold-DbContext "Server=CPP00152231B\SQLEXPRESS;Database=TrainingEDP;Trusted_Connection=True;MultipleActiveResultSets=True" Microsoft.EntityFrameworkCore.SqlServer -OutputDir Models -f

Insert in dbcontext=>optionsBuilder.UseSqlServer(_config["ConnectionString:DpcEntryDB"]);
Step5: Create migration
=>Console 
    -Add-Migration InitialCreate
    -Update-Database

--------------------------------------------------------------------------------------------------------------------


